Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductClass extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_ProductClass extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/product_class.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // 商品マスターの検索条件パラメーターを初期化
@@ -169,6 +165,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -180,6 +175,5 @@
      * @return void
      */
-    function initParam(&$objFormParam)
-    {
+    function initParam(&$objFormParam) {
         // 商品マスター検索パラメーター引き継ぎ
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -231,6 +225,5 @@
      * @param integer $product_id 登録を行う商品ID
      */
-    function registerProductClass($arrList, $product_id, $total)
-    {
+    function registerProductClass($arrList, $product_id, $total) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDb = new SC_Helper_DB_Ex();
@@ -315,6 +308,5 @@
      * @return array エラーの配列
      */
-    function lfCheckSelectClass()
-    {
+    function lfCheckSelectClass() {
         $objErr = new SC_CheckError_Ex();
         $objErr->doFunc(array('規格1', 'class_id1'), array('EXIST_CHECK'));
@@ -330,6 +322,5 @@
      * @return array エラー結果の配列
      */
-    function lfCheckProductsClass(&$objFormParam)
-    {
+    function lfCheckProductsClass(&$objFormParam) {
         $arrValues = $objFormParam->getHashArray();
         $arrErr = $objFormParam->checkError();
@@ -382,10 +373,10 @@
                  * 通常商品チェック
                  */
-                else if ($arrValues['product_type_id'][$i] != PRODUCT_TYPE_DOWNLOAD) {
+                else if ($arrValues['product_type_id'][$i] == PRODUCT_TYPE_NORMAL) {
                     if (!SC_Utils_Ex::isBlank($arrValues['down_filename'][$i])) {
-                        $arrErr['down_filename'][$i] = '※ ダウンロード商品ではない場合、ダウンロードファイル名を設定できません。<br />';
+                        $arrErr['down_filename'][$i] = '※ 通常商品の場合はダウンロードファイル名を設定できません。<br />';
                     }
                     if (!SC_Utils_Ex::isBlank($arrValues['down_realfilename'][$i])) {
-                        $arrErr['down_realfilename'][$i] = '※ ダウンロード商品ではない場合、ダウンロード商品用ファイルをアップロードできません。<br />ファイルを取り消してください。<br />';
+                        $arrErr['down_realfilename'][$i] = '※ 実商品の場合はダウンロード商品用ファイルをアップロードできません。<br />ファイルを取り消してください。<br />';
                     }
                 }
@@ -404,6 +395,5 @@
      * @return void
      */
-    function doDisp(&$objFormParam)
-    {
+    function doDisp(&$objFormParam) {
         $product_id = $objFormParam->getValue('product_id');
         $class_id1 = $objFormParam->getValue('class_id1');
@@ -441,6 +431,5 @@
      * @return void
      */
-    function initDispParam(&$objFormParam)
-    {
+    function initDispParam(&$objFormParam) {
         // 登録チェックボックス初期化(すべてチェックを外す)
         $objFormParam->setValue('check', '');
@@ -460,6 +449,5 @@
      * @param bool $usepostValue
      */
-    function doPreEdit(&$objFormParam)
-    {
+    function doPreEdit(&$objFormParam) {
         $product_id = $objFormParam->getValue('product_id');
         $objProduct = new SC_Product_Ex();
@@ -538,6 +526,5 @@
      * @return void
      */
-    function doDelete($product_id)
-    {
+    function doDelete($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -576,6 +563,5 @@
      * @return void
      */
-    function doFileUpload(&$objFormParam)
-    {
+    function doFileUpload(&$objFormParam) {
         $index   = $objFormParam->getValue('upload_index');
         $arrDownRealFiles = $objFormParam->getValue('down_realfilename');
@@ -639,6 +625,5 @@
      * @return void
      */
-    function doFileDelete(&$objFormParam)
-    {
+    function doFileDelete(&$objFormParam) {
         $objImage = new SC_Image_Ex(DOWN_TEMP_REALDIR);
         $arrRealFileName = $objFormParam->getValue('down_realfilename');
@@ -655,6 +640,5 @@
      * @return void
      */
-    function doUploadComplete(&$objFormParam)
-    {
+    function doUploadComplete(&$objFormParam) {
         $objImage = new SC_Image_Ex(DOWN_TEMP_REALDIR);
         $arrRealFileName = $objFormParam->getValue('down_realfilename');
@@ -673,6 +657,5 @@
      * @return array 規格と規格分類の配列
      */
-    function getAllClassCategory($class_id1, $class_id2 = null)
-    {
+    function getAllClassCategory($class_id1, $class_id2 = null) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -714,6 +697,5 @@
      * @return string 商品名の文字列
      */
-    function getProductName($product_id)
-    {
+    function getProductName($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->get('name', 'dtb_products', 'product_id = ?', array($product_id));
@@ -726,6 +708,5 @@
      * @return array 規格分類の登録された, すべての規格
      */
-    function getAllClass()
-    {
+    function getAllClass() {
         $arrClass = SC_Helper_DB_Ex::sfGetIDValueList('dtb_class', 'class_id', 'name');
 
@@ -752,6 +733,5 @@
      * @return array 商品規格の配列
      */
-    function getProductsClass($product_id)
-    {
+    function getProductsClass($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'product_code, price01, price02, stock, stock_unlimited, sale_limit, deliv_fee, point_rate';
@@ -771,6 +751,5 @@
      * @return void
      */
-    function fillCheckboxesValue($key, $size)
-    {
+    function fillCheckboxesValue($key, $size) {
         if (empty($_POST[$key])) {
             $_POST[$key] = array_pad(array(), $size, '');
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ReviewEdit extends LC_Page_Admin_Products_Review 
-{
+class LC_Page_Admin_Products_ReviewEdit extends LC_Page_Admin_Products_Review {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/review_edit.tpl';
@@ -64,6 +62,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -75,6 +72,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター情報の初期化
@@ -92,5 +88,5 @@
                 $this->arrErr = $objFormParam->checkError();
                 // エラー無し
-                if (SC_Utils_Ex::isBlank($this->arrErr)) {
+                if (!SC_Utils_Ex::isBlank($this->arrErr)) {
                     // レビュー情報の更新
                     $this->lfRegistReviewData($this->arrForm['review_id'], $objFormParam);
@@ -113,6 +109,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -124,6 +119,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // 検索条件のパラメーターを初期化
         parent::lfInitParam($objFormParam);
@@ -148,6 +142,5 @@
      * @return array レビュー情報
      */
-    function lfGetReviewData($review_id)
-    {
+    function lfGetReviewData($review_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $select='review_id, A.product_id, reviewer_name, sex, recommend_level, ';
@@ -169,6 +162,5 @@
      * @return void
      */
-    function lfRegistReviewData($review_id, &$objFormParam)
-    {
+    function lfRegistReviewData($review_id, &$objFormParam) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrValues = $objFormParam->getDbArray();
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 22597)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductRank extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_ProductRank extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/product_rank.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,9 +66,8 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDb = new SC_Helper_DB_Ex();
-        $objCategory = new SC_Helper_Category_Ex();
 
         $this->tpl_pageno = isset($_POST['pageno']) ? $_POST['pageno'] : '';
@@ -104,9 +100,9 @@
         }
 
-        $this->arrTree = $objCategory->getTree();
-        $this->arrParentID = $objCategory->getTreeTrail($this->arrForm['parent_category_id']);     
+        $this->arrTree = $objDb->sfGetCatTree($this->arrForm['parent_category_id']);
         $this->arrProductsList = $this->lfGetProduct($this->arrForm['parent_category_id']);
-        $arrBread = $objCategory->getTreeTrail($this->arrForm['parent_category_id'], FALSE);
-        $this->tpl_bread_crumbs = SC_Utils_Ex::jsonEncode(array_reverse($arrBread));
+        $arrBread = array();
+        $objDb->findTree($this->arrTree, $this->arrForm['parent_category_id'], $arrBread);
+        $this->tpl_bread_crumbs = SC_Utils_Ex::jsonEncode($arrBread);
 
     }
@@ -117,12 +113,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* 商品読み込み */
-    function lfGetProduct($category_id)
-    {
+    function lfGetProduct($category_id) {
         // FIXME SC_Product クラスを使用した実装
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -157,6 +151,5 @@
      * 商品の数値指定での並び替え実行
      */
-    function lfRenumber($parent_category_id)
-    {
+    function lfRenumber($parent_category_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -183,18 +176,15 @@
     }
 
-    function lfRankUp(&$objDb, $parent_category_id, $product_id)
-    {
+    function lfRankUp(&$objDb, $parent_category_id, $product_id) {
         $where = 'category_id = ' . SC_Utils_Ex::sfQuoteSmart($parent_category_id);
         $objDb->sfRankUp('dtb_product_categories', 'product_id', $product_id, $where);
     }
 
-    function lfRankDown(&$objDb, $parent_category_id, $product_id)
-    {
+    function lfRankDown(&$objDb, $parent_category_id, $product_id) {
         $where = 'category_id = ' . SC_Utils_Ex::sfQuoteSmart($parent_category_id);
         $objDb->sfRankDown('dtb_product_categories', 'product_id', $product_id, $where);
     }
 
-    function lfRankMove(&$objDb, $parent_category_id, $product_id)
-    {
+    function lfRankMove(&$objDb, $parent_category_id, $product_id) {
         $key = 'pos-'.$product_id;
         $input_pos = mb_convert_kana($_POST[$key], 'n');
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 22597)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Category extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_Category extends LC_Page_Admin_Ex {
 
     // {{{ properties
@@ -45,6 +44,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_maintitle = '商品管理';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,10 +69,8 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb      = new SC_Helper_DB_Ex();
         $objFormParam = new SC_FormParam_Ex();
-        $objCategory = new SC_Helper_Category_Ex();
 
         // 入力パラメーター初期化
@@ -184,9 +179,9 @@
         $this->arrList = $this->findCategoiesByParentCategoryId($parent_category_id);
         // カテゴリツリーを取得
-        $this->arrTree = $objCategory->getTree();
-        $this->arrParentID = $objCategory->getTreeTrail($parent_category_id);
+        $this->arrTree = $objDb->sfGetCatTree($parent_category_id);
         // ぱんくずの生成
-        $arrBread = $objCategory->getTreeTrail($this->arrForm['parent_category_id'], FALSE);
-        $this->tpl_bread_crumbs = SC_Utils_Ex::jsonEncode(array_reverse($arrBread));
+        $arrBread = array();
+        $objDb->findTree($this->arrTree, $parent_category_id, $arrBread);
+        $this->tpl_bread_crumbs = SC_Utils_Ex::jsonEncode($arrBread);
 
     }
@@ -206,6 +201,5 @@
      * @return void
      */
-    function doDelete(&$objFormParam, &$objDb)
-    {
+    function doDelete(&$objFormParam, &$objDb) {
         $category_id = $objFormParam->getValue('category_id');
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -237,10 +231,12 @@
      * @return void
      */
-    function doPreEdit(&$objFormParam)
-    {
+    function doPreEdit(&$objFormParam) {
         $category_id = $objFormParam->getValue('category_id');
 
-        $objCategory = new SC_Helper_Category_Ex();
-        $arrRes = $objCategory->get($category_id);
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // 編集対象のカテゴリ名をDBより取得する
+        $where = 'category_id = ?';
+        $arrRes = $objQuery->getRow('*', 'dtb_category', $where, array($category_id));
 
         $objFormParam->setParam($arrRes);
@@ -261,6 +257,5 @@
      * @return void
      */
-    function doEdit(&$objFormParam)
-    {
+    function doEdit(&$objFormParam) {
         $category_id = $objFormParam->getValue('category_id');
 
@@ -298,6 +293,5 @@
      * @return void
      */
-    function checkError(&$objFormParam, $add)
-    {
+    function checkError(&$objFormParam, $add) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -354,6 +348,5 @@
      * @return void
      */
-    function doUp(&$objFormParam)
-    {
+    function doUp(&$objFormParam) {
         $category_id = $objFormParam->getValue('category_id');
 
@@ -382,6 +375,5 @@
      * @return void
      */
-    function doDown(&$objFormParam)
-    {
+    function doDown(&$objFormParam) {
         $category_id = $objFormParam->getValue('category_id');
 
@@ -410,6 +402,5 @@
      * @return void
      */
-    function initParam(&$objFormParam)
-    {
+    function initParam(&$objFormParam) {
         $objFormParam->addParam('親カテゴリID', 'parent_category_id', null, null, array());
         $objFormParam->addParam('カテゴリID', 'category_id', null, null, array());
@@ -427,6 +418,5 @@
      * @return array カテゴリの配列
      */
-    function findCategoiesByParentCategoryId($parent_category_id)
-    {
+    function findCategoiesByParentCategoryId($parent_category_id) {
         if (!$parent_category_id) {
             $parent_category_id = 0;
@@ -445,6 +435,5 @@
      * @return void
      */
-    function updateCategory($category_id, $arrCategory)
-    {
+    function updateCategory($category_id, $arrCategory) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -463,6 +452,5 @@
      * @return void
      */
-    function registerCategory($arrCategory)
-    {
+    function registerCategory($arrCategory) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -510,6 +498,5 @@
      * @param 超えている場合 true
      */
-    function isOverLevel($parent_category_id)
-    {
+    function isOverLevel($parent_category_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $level = $objQuery->get('level', 'dtb_category', 'category_id = ?', array($parent_category_id));
@@ -522,12 +509,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     // 並びが1つ下のIDを取得する。
-    function lfGetDownRankID($objQuery, $table, $pid_name, $id_name, $id)
-    {
+    function lfGetDownRankID($objQuery, $table, $pid_name, $id_name, $id) {
         // 親IDを取得する。
         $col = "$pid_name";
@@ -550,6 +535,5 @@
 
     // 並びが1つ上のIDを取得する。
-    function lfGetUpRankID($objQuery, $table, $pid_name, $id_name, $id)
-    {
+    function lfGetUpRankID($objQuery, $table, $pid_name, $id_name, $id) {
         // 親IDを取得する。
         $col = "$pid_name";
@@ -571,6 +555,5 @@
     }
 
-    function lfCountChilds($objQuery, $table, $pid_name, $id_name, $id)
-    {
+    function lfCountChilds($objQuery, $table, $pid_name, $id_name, $id) {
         $objDb = new SC_Helper_DB_Ex();
         // 子ID一覧を取得
@@ -579,6 +562,5 @@
     }
 
-    function lfUpRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
-    {
+    function lfUpRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count) {
         $objDb = new SC_Helper_DB_Ex();
         // 子ID一覧を取得
@@ -592,6 +574,5 @@
     }
 
-    function lfDownRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
-    {
+    function lfDownRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count) {
         $objDb = new SC_Helper_DB_Ex();
         // 子ID一覧を取得
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 22796)
@@ -34,6 +34,5 @@
  * @version $$Id$$
  */
-class LC_Page_Admin_Products_UploadCSVCategory extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_UploadCSVCategory extends LC_Page_Admin_Ex {
 
     // {{{ properties
@@ -67,6 +66,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/upload_csv_category.tpl';
@@ -87,6 +85,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -98,6 +95,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // CSV管理ヘルパー
@@ -122,6 +118,4 @@
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($objFormParam, $arrCSVFrame);
-
-        $this->max_upload_csv_size = SC_Utils_Ex::getUnitDataSize(CSV_SIZE);
 
         $objFormParam->setHtmlDispNameArray();
@@ -145,6 +139,5 @@
      * @return void
      */
-    function addRowResult($line_count, $message)
-    {
+    function addRowResult($line_count, $message) {
         $this->arrRowResult[] = $line_count . '行目：' . $message;
     }
@@ -157,6 +150,5 @@
      * @return void
      */
-    function addRowErr($line_count, $message)
-    {
+    function addRowErr($line_count, $message) {
         $this->arrRowErr[] = $line_count . '行目：' . $message;
     }
@@ -170,6 +162,5 @@
      * @return void
      */
-    function doUploadCsv(&$objFormParam, &$objUpFile)
-    {
+    function doUploadCsv(&$objFormParam, &$objUpFile) {
         // ファイルアップロードのチェック
         $objUpFile->makeTempFile('csv_file');
@@ -269,6 +260,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -279,6 +269,5 @@
      * @return void
      */
-    function lfInitFile(&$objUpFile)
-    {
+    function lfInitFile(&$objUpFile) {
         $objUpFile->addFile('CSVファイル', 'csv_file', array('csv'), CSV_SIZE, true, 0, 0, false);
     }
@@ -290,6 +279,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam, &$arrCSVFrame)
-    {
+    function lfInitParam(&$objFormParam, &$arrCSVFrame) {
         // 固有の初期値調整
         $arrCSVFrame = $this->lfSetParamDefaultValue($arrCSVFrame);
@@ -336,6 +324,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet =  $objFormParam->getHashArray();
@@ -358,6 +345,5 @@
      * @return void
      */
-    function lfInitTableInfo()
-    {
+    function lfInitTableInfo() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $this->arrRegistColumn = $objQuery->listTableFields('dtb_category');
@@ -373,6 +359,5 @@
      * @return integer カテゴリID
      */
-    function lfRegistCategory($objQuery, $line, &$objFormParam)
-    {
+    function lfRegistCategory($objQuery, $line, &$objFormParam) {
         // 登録データ対象取得
         $arrList = $objFormParam->getHashArray();
@@ -420,6 +405,5 @@
      * @return array $arrCSVFrame CSV構造配列
      */
-    function lfSetParamDefaultValue(&$arrCSVFrame)
-    {
+    function lfSetParamDefaultValue(&$arrCSVFrame) {
         foreach ($arrCSVFrame as $key => $val) {
             switch ($val['col']) {
@@ -443,6 +427,5 @@
      * @return $sqlval 登録情報配列
      */
-    function lfSetCategoryDefaultData(&$sqlval)
-    {
+    function lfSetCategoryDefaultData(&$sqlval) {
         if ($sqlval['del_flg'] == '') {
             $sqlval['del_flg'] = '0'; //有効
@@ -464,6 +447,5 @@
      * @return array エラー配列
      */
-    function lfCheckErrorDetail($item, $arrErr)
-    {
+    function lfCheckErrorDetail($item, $arrErr) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         /*
@@ -533,6 +515,5 @@
      * @return integer カテゴリID
      */
-    function registerCategory($parent_category_id, $category_name, $creator_id, $category_id = null)
-    {
+    function registerCategory($parent_category_id, $category_name, $creator_id, $category_id = null) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -589,6 +570,5 @@
      * @return string $time DB保存用の時間文字列
      */
-    function lfGetDbFormatTimeWithLine($line_no = '')
-    {
+    function lfGetDbFormatTimeWithLine($line_no = '') {
         $time = date('Y-m-d H:i:s');
         // 秒以下を生成
@@ -608,6 +588,5 @@
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsDbRecord($table, $keyname, $item)
-    {
+    function lfIsDbRecord($table, $keyname, $item) {
         if (array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
             && $item[$keyname] != ''   // 空ではない
Index: /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 22796)
@@ -31,6 +31,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Total extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Total extends LC_Page_Admin_Ex {
 
     // }}}
@@ -42,6 +41,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         // GDライブラリのインストール判定
@@ -93,6 +91,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -104,6 +101,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         if (isset($_GET['draw_image']) && $_GET['draw_image'] != '') {
@@ -174,12 +170,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* デフォルト値の取得 */
-    function lfGetDateDefault()
-    {
+    function lfGetDateDefault() {
         $year = date('Y');
         $month = date('m');
@@ -208,6 +202,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // デフォルト値の取得
         $arrList = $this->lfGetDateDefault();
@@ -232,6 +225,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
 
         $objFormParam->convParam();
@@ -259,6 +251,5 @@
 
     /* サブナビを移動しても日付が残るようにセッションに入力期間を記録する */
-    function lfSaveDateSession($session, $arrForm)
-    {
+    function lfSaveDateSession($session, $arrForm) {
 
         // session の初期化をする
@@ -275,6 +266,5 @@
 
     /* 日付の初期値 */
-    function lfGetDateInit()
-    {
+    function lfGetDateInit() {
         $search_startyear_m     = $search_startyear  = $search_endyear  = date('Y');
         $search_startmonth_m    = $search_startmonth = $search_endmonth = date('m');
@@ -285,6 +275,5 @@
 
     /* フォームで入力された日付を適切な形にする */
-    function lfSetStartEndDate(&$objFormParam)
-    {
+    function lfSetStartEndDate(&$objFormParam) {
         $arrRet = $objFormParam->getHashArray();
 
@@ -305,6 +294,5 @@
 
     /* 折れ線グラフの作成 */
-    function lfGetGraphLine($arrResults, $keyname, $type, $xtitle, $ytitle, $sdate, $edate, $xincline)
-    {
+    function lfGetGraphLine($arrResults, $keyname, $type, $xtitle, $ytitle, $sdate, $edate, $xincline) {
 
         $ret_path = '';
@@ -364,6 +352,5 @@
 
     // 円グラフの作成
-    function lfGetGraphPie($arrResults, $keyname, $type, $title = '', $sdate = '', $edate = '')
-    {
+    function lfGetGraphPie($arrResults, $keyname, $type, $title = '', $sdate = '', $edate = '') {
 
         $ret_path = '';
@@ -409,6 +396,5 @@
 
     // 棒グラフの作成
-    function lfGetGraphBar($arrResults, $keyname, $type, $xtitle, $ytitle, $sdate, $edate)
-    {
+    function lfGetGraphBar($arrResults, $keyname, $type, $xtitle, $ytitle, $sdate, $edate) {
         $ret_path = '';
 
@@ -456,6 +442,5 @@
 
     // グラフ用のPNGファイル名
-    function lfGetGraphPng($keyname)
-    {
+    function lfGetGraphPng($keyname) {
 
         if ($_POST['search_startyear_m'] != '') {
@@ -468,6 +453,5 @@
 
     // 会員、非会員集計のWHERE分の作成
-    function lfGetWhereMember($col_date, $sdate, $edate, $type, $col_member = 'customer_id')
-    {
+    function lfGetWhereMember($col_date, $sdate, $edate, $type, $col_member = 'customer_id') {
         $where = '';
         // 取得日付の指定
@@ -512,6 +496,5 @@
 
     /** 会員別集計 **/
-    function lfGetOrderMember($type, $sdate, $edate)
-    {
+    function lfGetOrderMember($type, $sdate, $edate) {
         $objQuery = SC_Query_Ex::getSingletonInstance();
 
@@ -554,6 +537,5 @@
 
     /** 商品別集計 **/
-    function lfGetOrderProducts($type, $sdate, $edate)
-    {
+    function lfGetOrderProducts($type, $sdate, $edate) {
         $objQuery = SC_Query_Ex::getSingletonInstance();
 
@@ -592,6 +574,5 @@
 
     /** 職業別集計 **/
-    function lfGetOrderJob($type, $sdate, $edate)
-    {
+    function lfGetOrderJob($type, $sdate, $edate) {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         list($where, $arrWhereVal) = $this->lfGetWhereMember('dtb_order.create_date', $sdate, $edate, $type);
@@ -629,6 +610,5 @@
 
     /** 年代別集計 **/
-    function lfGetOrderAge($type, $sdate, $edate)
-    {
+    function lfGetOrderAge($type, $sdate, $edate) {
 
         $objQuery = SC_Query_Ex::getSingletonInstance();
@@ -668,6 +648,5 @@
     /** 期間別集計 **/
     // todo あいだの日付埋める
-    function lfGetOrderTerm($type, $sdate, $edate)
-    {
+    function lfGetOrderTerm($type, $sdate, $edate) {
         $objQuery   = SC_Query_Ex::getSingletonInstance();
 
@@ -725,6 +704,5 @@
      * 期間中の日付を埋める
      */
-    function lfAddBlankLine($arrResults, $type, $st, $ed)
-    {
+    function lfAddBlankLine($arrResults, $type, $st, $ed) {
 
         $arrDateList = $this->lfDateTimeArray($type, $st, $ed);
@@ -752,6 +730,5 @@
      *
      */
-    function lfDateTimeArray($type, $st, $ed)
-    {
+    function lfDateTimeArray($type, $st, $ed) {
         switch ($type) {
             case 'month':
@@ -794,6 +771,5 @@
      * 合計を付与する
      */
-    function lfAddTotalLine($arrResults)
-    {
+    function lfAddTotalLine($arrResults) {
         // 検索結果が0でない場合
         if (count($arrResults) > 0) {
@@ -814,11 +790,10 @@
 
     // 必要なカラムのみ抽出する(CSVデータで取得する)
-    function lfGetDataColCSV($arrData, $arrDataCol)
-    {
+    function lfGetDataColCSV($arrData, $arrDataCol) {
         $max = count($arrData);
         $csv_data = '';
         for ($i = 0; $i < $max; $i++) {
             foreach ($arrDataCol as $val) {
-                $arrRet[$i][$val] = ($arrData[$i][$val]) ? $arrData[$i][$val] : "0";
+                $arrRet[$i][$val] = $arrData[$i][$val];
             }
             // 期間別集計の合計行の「期間」項目に不要な値が表示されてしまわない様、'合計'と表示する
@@ -831,6 +806,5 @@
     }
 
-    function lfGetCSVColum($page)
-    {
+    function lfGetCSVColum($page) {
         switch ($page) {
             // 商品別集計
